using System;
using UnityEngine;

public class DummyVRControllerBehavior : AVRControllerBehavior
{
	public override AVRControllerBehavior.BEH_TYPE BehaviourType
	{
		get
		{
			return AVRControllerBehavior.BEH_TYPE.DUMMY;
		}
	}

	public override bool HandCameraMode
	{
		get
		{
			return false;
		}
		set
		{
		}
	}

	public override bool IsHandCameraMode
	{
		get
		{
			return false;
		}
	}

	public override bool IsHandPenMode
	{
		get
		{
			return false;
		}
	}

	public override bool HandDanceMode
	{
		get
		{
			return false;
		}
		set
		{
		}
	}

	public override bool HandVRIKMode
	{
		get
		{
			return false;
		}
		set
		{
		}
	}

	public override bool HandYotogiMode
	{
		get
		{
			return false;
		}
		set
		{
		}
	}

	protected void Start()
	{
		NDebug.Assert(this.m_Pair != null, "Pairコントローラがありません。");
		OvrMgr.OvrObject ovr_obj = GameMain.Instance.OvrMgr.ovr_obj;
	}

	public override Vector3 GetVelocityHand()
	{
		return Vector3.zero;
	}

	public override float GetRotHandY()
	{
		return 0f;
	}

	public DummyVRControllerBehavior m_Pair;
}
